# EclipseRuntime

interface EclipseRuntime

Information about the eclipse instance. This is a possible parameter for the EclipseProject model resolution. It provides additional information to gradle so it can build a more accurate EclipseProject model.

#### Since

5.5

#### See also

EclipseProject
BuildController

## Functions

getWorkspace
Link copied to clipboard
abstract fun getWorkspace(): EclipseWorkspace
setWorkspace
Link copied to clipboard
abstract fun setWorkspace(eclipseWorkspace: EclipseWorkspace)
The eclipse workspace